Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.analysis
Interface EZBinC

All Known Subinterfaces:
  EZDistributionC

All Known Implementing Classes:
  EZBinCImpl, EZDistributionCImpl

public interface EZBinC
extends SwarmObjectC, SwarmObjectS, GUICompositeC, GUICompositeS

An easy to use histogram interface.. This class allows the user to easily histogram data generated by a collection of objects. In addition the class will generate some standard statistics over the resulting dataset.

Method Summary
`java.lang.Object` | `setAxisLabelsX$Y(java.lang.String xl, java.lang.String yl)` The setAxisLabels:X:Y method sets the horizontal and vertical labels on the histogram in the graphical version of EZBin.
`java.lang.Object` | `setBinCount(int theBinCount)` The setBinCount method sets the number of bins the histogram will have.
`java.lang.Object` | `setCollection(java.lang.Object aCollection)` The setCollection method sets the collection of target objects which will be requested to generate the dataset for the histogram.
`java.lang.Object` | `setColors$count(java.lang.String[] colors, int count)` Set a custom vector of colors for the histogram bars
`java.lang.Object` | `setFileName(java.lang.String fileName)` The setFileName method sets the name used for disk file data output.
`java.lang.Object` | `setFileOutput(boolean state)` The setFileOutput method sets the state of file I/O.
`java.lang.Object` | `setGraphics(boolean state)` The setGraphics method sets the state of the display.
`java.lang.Object` | `setLowerBound(double theMin)` The setLowerBound method sets the inclusive lower bound on the histogram range.
`java.lang.Object` | `setMonoColorBars(boolean mcb)` The setMonoColorBars method specifies whether all bars should be shown in a single color (blue).
`java.lang.Object` | `setProbedSelector(Selector aSel)` The setProbedSelector method sets the selector that will be applied to the objects in the specified collection in order to generate the dataset (inherited from MessageProbe.)
`java.lang.Object` | `setTitle(java.lang.String title)` The setTitle method uses a title string to label a graph window in the graphical version of EZBin.
`java.lang.Object` | `setUpperBound(double theMax)` The setUpperBound method sets the non-inclusive upper bound on the histogram range.

Methods inherited from interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods inherited from interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Methods inherited from interface swarm.simtoolsgui.CompositeWindowGeometryRecordNameC
`setWindowGeometryRecordNameForComponent$widget`

Methods inherited from interface swarm.simtoolsgui.WindowGeometryRecordNameC
`setSaveSizeFlag, setWindowGeometryRecordName`

Method Detail

### setGraphics

    public java.lang.Object setGraphics(boolean state)

  The setGraphics method sets the state of the display. Set the state to 0 if a graphical display of the graph is not required. The default state is 1 meaning that by default the data appears graphically in a window.

### setCollection

    public java.lang.Object setCollection(java.lang.Object aCollection)

  The setCollection method sets the collection of target objects which will be requested to generate the dataset for the histogram.

### setProbedSelector

    public java.lang.Object setProbedSelector(Selector aSel)

  The setProbedSelector method sets the selector that will be applied to the objects in the specified collection in order to generate the dataset (inherited from MessageProbe.)

### setFileOutput

    public java.lang.Object setFileOutput(boolean state)

  The setFileOutput method sets the state of file I/O. Set the state to 1 if data for the sequences is to be sent to a file. The default state is 0 meaning that by default no file I/O is carried out by the EZBin class.

### setTitle

    public java.lang.Object setTitle(java.lang.String title)

  The setTitle method uses a title string to label a graph window in the graphical version of EZBin. The label appears at the top of the graph window. (Only relevant if the state of setGraphics is set to 1.)

### setFileName

    public java.lang.Object setFileName(java.lang.String fileName)

  The setFileName method sets the name used for disk file data output. (Only relevant if the state of seFileOutput is set to 1.) If not set, the filename defaults to be the same as the graph title.

### setAxisLabelsX$Y

    public java.lang.Object setAxisLabelsX$Y(java.lang.String xl,
                                             java.lang.String yl)

  The setAxisLabels:X:Y method sets the horizontal and vertical labels on the histogram in the graphical version of EZBin. (Only relevant if the state of setGraphics is set to 1.)

### setMonoColorBars

    public java.lang.Object setMonoColorBars(boolean mcb)

  The setMonoColorBars method specifies whether all bars should be shown in a single color (blue). The default is differently colored bars.

### setBinCount

    public java.lang.Object setBinCount(int theBinCount)

  The setBinCount method sets the number of bins the histogram will have.

### setLowerBound

    public java.lang.Object setLowerBound(double theMin)

  The setLowerBound method sets the inclusive lower bound on the histogram range.

### setUpperBound

    public java.lang.Object setUpperBound(double theMax)

  The setUpperBound method sets the non-inclusive upper bound on the histogram range.

### setColors$count

    public java.lang.Object setColors$count(java.lang.String[] colors,
                                            int count)

  Set a custom vector of colors for the histogram bars

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD